<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/NameMapper/NameMapper.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.NameMapper.NameMapper</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../NameMapper.html" >NameMapper</a>
</div><div class="class-name">class NameMapper

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Processors/NameMapper.py.html" target="detail">../Synopsis/Processors/NameMapper.py</a></div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.NameMapper.NameMapper" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line12" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="NameMapper-inheritance" src="NameMapper-inheritance.png" hspace="8" vspace="8" border="0" usemap="#NameMapper-inheritance_map" />
<map name="NameMapper-inheritance_map"><area alt="Scopes/Synopsis/Processors/NameMapper/NamePrefixer.html" href="NamePrefixer.html" shape="rect" coords="5, 81, 301, 105" />
</map>
 <div class="doc">Abstract base class for name mapping.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="NameMapper.html#visit_scope" >visit_scope</a></span>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.NameMapper.NameMapper.visit_scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line15" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Recursively visits declarations under this scope.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="NameMapper.html#visit_group" >visit_group</a></span>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.NameMapper.NameMapper.visit_group" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line22" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Recursively visits declarations under this group.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_scope">visit_scope</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.NameMapper.NameMapper.visit_scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line15" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Recursively visits declarations under this scope.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_group">visit_group</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.NameMapper.NameMapper.visit_group" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/NameMapper.py.html#line22" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Recursively visits declarations under this group.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:59 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
